<!doctype html>
<html>

<head>
  <meta name="generator" content="JSDoc 3.6.3">
  <meta charset="utf-8">
  <title>Class: Video</title>
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Karla:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Noto+Serif:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Inconsolata:500" type="text/css">
  <link href="css/baseline.css" rel="stylesheet">
</head>

<body onload="prettyPrint()">
  <nav id="jsdoc-navbar" role="navigation" class="jsdoc-navbar">
    <div id="jsdoc-navbar-container">
      <div id="jsdoc-navbar-content">
        <a href="index.html" class="jsdoc-navbar-package-name">Home</a>
      </div>
    </div>
  </nav>
  <div id="jsdoc-body-container">
    <div id="jsdoc-content">
      <div id="jsdoc-content-container">
        <div id="jsdoc-main" role="main">
          <header class="page-header">
            <div class="symbol-detail-labels"><span class="label label-kind">class</span></div>
            <h1><small></small><span class="symbol-name">Video</span></h1>
            <p class="source-link">Source: <a href="components_video_Video.js.html#source-line-6">components/<wbr>video/<wbr>Video.<wbr>js:6</a></p>
            <dl class="dl-compact">
            </dl>
          </header>
          <section id="summary">
            <div class="summary-callout">
              <h2 class="summary-callout-heading">Property</h2>
              <div class="summary-content">
                <div class="summary-column">
                  <dl class="dl-summary-callout">
                    <dt><a href="Video.html#video">video</a></dt>
                    <dd>
                    </dd>
                  </dl>
                </div>
                <div class="summary-column">
                </div>
                <div class="summary-column">
                </div>
              </div>
            </div>
            <div class="summary-callout">
              <h2 class="summary-callout-heading">Methods</h2>
              <div class="summary-content">
                <div class="summary-column">
                  <dl class="dl-summary-callout">
                    <dt><a href="Video.html#mute">mute()</a></dt>
                    <dd>
                    </dd>
                    <dt><a href="Video.html#onClick">onClick()</a></dt>
                    <dd>
                    </dd>
                    <dt><a href="Video.html#onEnded">onEnded()</a></dt>
                    <dd>
                    </dd>
                    <dt><a href="Video.html#onFullSecondChange">onFullSecondChange()</a></dt>
                    <dd>
                    </dd>
                    <dt><a href="Video.html#onInit">onInit()</a></dt>
                    <dd>
                    </dd>
                    <dt><a href="Video.html#onLoadedData">onLoadedData()</a></dt>
                    <dd>
                    </dd>
                  </dl>
                </div>
                <div class="summary-column">
                  <dl class="dl-summary-callout">
                    <dt><a href="Video.html#onPause">onPause()</a></dt>
                    <dd>
                    </dd>
                    <dt><a href="Video.html#onPlay">onPlay()</a></dt>
                    <dd>
                    </dd>
                    <dt><a href="Video.html#onQuartileChange">onQuartileChange()</a></dt>
                    <dd>
                    </dd>
                    <dt><a href="Video.html#onStop">onStop()</a></dt>
                    <dd>
                    </dd>
                    <dt><a href="Video.html#onTimeUpdate">onTimeUpdate()</a></dt>
                    <dd>
                    </dd>
                    <dt><a href="Video.html#onVastEvent">onVastEvent(eventName)</a></dt>
                    <dd>
                    </dd>
                  </dl>
                </div>
                <div class="summary-column">
                  <dl class="dl-summary-callout">
                    <dt><a href="Video.html#onWaiting">onWaiting()</a></dt>
                    <dd>
                    </dd>
                    <dt><a href="Video.html#pause">pause()</a></dt>
                    <dd>
                    </dd>
                    <dt><a href="Video.html#play">play()</a></dt>
                    <dd>
                    </dd>
                    <dt><a href="Video.html#toggle">toggle()</a></dt>
                    <dd>
                    </dd>
                    <dt><a href="Video.html#unmute">unmute()</a></dt>
                    <dd>
                    </dd>
                  </dl>
                </div>
              </div>
            </div>
          </section>
          <section>
            <h2 id="Video">new&nbsp;<span class="symbol-name">Video</span><span class="signature"><span class="signature-params">()</span></span></h2>
            <p>podstawowy komponent video html5</p>
            <dl class="dl-compact">
              <dt>Extends</dt>
              <dd>Component</dd>
            </dl>
          </section>
          <section>
            <h2>Property</h2>
            <section>
              <h3 id="video"><span class="symbol-name">video</span><small class="property-type">
                  &nbsp;Node</small></h3>
              <p>referencja do node video; umożliwiająca korzystanie z natywnych właściwości</p>
              <dl class="dl-compact">
              </dl>
            </section>
            <h2>Methods</h2>
            <section>
              <h3 id="mute"><span class="symbol-name">mute</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>mute</p>
              <dl class="dl-compact">
              </dl>
              <h3 id="onClick"><span class="symbol-name">onClick</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>jeżeli nie zostanie dostarczona dedykowana obsługa zdarzenia <br>
                kliknięcie w obszar video pauzuje/wznawia odtwarzanie
                w sytuacji w której zadeklarowano autoodtwarzanie video startuje ono bez dźwięki a kliknięcie włącza/wyłącza dźwięk</p>
              <dl class="dl-compact">
              </dl>
              <h3 id="onEnded"><span class="symbol-name">onEnded</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>pełne zakończenie odtwarzania video</p>
              <dl class="dl-compact">
              </dl>
              <h3 id="onFullSecondChange"><span class="symbol-name">onFullSecondChange</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>zmiana czasu odtwarzania video w postaci pełnych sekund
                event onTimeUpdate jest wywoływany przy zmiennych interwałach, co może stanowić problem w niektórych scenariuszach</p>
              <dl class="dl-compact">
              </dl>
              <h3 id="onInit"><span class="symbol-name">onInit</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>callback na zakończenie działania constructora</p>
              <dl class="dl-compact">
              </dl>
              <h3 id="onLoadedData"><span class="symbol-name">onLoadedData</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>wywołuje props.onReady(), jeżeli załadowana została wystarczająca ilość danych video</p>
              <dl class="dl-compact">
                <dt>See also</dt>
                <dd><a href="https://developer.mozilla.org/en-US/docs/Web/API/HTMLMediaElement/loadeddata_event">https://developer.mozilla.org/en-US/docs/Web/API/HTMLMediaElement/loadeddata_event</a></dd>
                <dd><a href="https://developer.mozilla.org/en-US/docs/Web/API/HTMLMediaElement/readyState">https://developer.mozilla.org/en-US/docs/Web/API/HTMLMediaElement/readyState</a></dd>
              </dl>
              <h3 id="onPause"><span class="symbol-name">onPause</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>zakończenie odtwarzania video również wywołuje event pause
                by uniknąć błędów dodany jest dodatkowy warunek wywołania kodu funkcji</p>
              <dl class="dl-compact">
              </dl>
              <h3 id="onPlay"><span class="symbol-name">onPlay</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <dl class="dl-compact">
                <dt>See also</dt>
                <dd><a href="https://developer.mozilla.org/en-US/docs/Web/API/HTMLMediaElement/play_event">https://developer.mozilla.org/en-US/docs/Web/API/HTMLMediaElement/play_event</a></dd>
              </dl>
              <h3 id="onQuartileChange"><span class="symbol-name">onQuartileChange</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>zmiana ćwiartki czasu odtwarzanego video
                VAST określa zdarzenie zaraportowania odtworzenia pełnych 25% czasu odtwarzania video</p>
              <dl class="dl-compact">
              </dl>
              <h3 id="onStop"><span class="symbol-name">onStop</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>wstrzymanie odtwarzania video</p>
              <dl class="dl-compact">
              </dl>
              <h3 id="onTimeUpdate"><span class="symbol-name">onTimeUpdate</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <dl class="dl-compact">
                <dt>See also</dt>
                <dd><a href="https://developer.mozilla.org/en-US/docs/Web/API/HTMLMediaElement/timeupdate_event">https://developer.mozilla.org/en-US/docs/Web/API/HTMLMediaElement/timeupdate_event</a></dd>
              </dl>
              <h3 id="onVastEvent"><span class="symbol-name">onVastEvent</span><span class="signature"><span class="signature-params">(eventName)</span></span></h3>
              <p>zliczenie wszystkich kodów mierzących z wszystkich zestawów dla danego klucza</p>
              <section>
                <h4>Parameter</h4>
                <table class="jsdoc-details-table">
                  <thead>
                    <tr>
                      <th>Name</th>
                      <th>Type</th>
                      <th>Optional</th>
                      <th>Description</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr>
                      <td>
                        <p>eventName</p>
                      </td>
                      <td>
                        <p>string</p>
                      </td>
                      <td>
                        <p>&nbsp;</p>
                      </td>
                      <td>
                        <p>klucz zdarzenia</p>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </section>
              <dl class="dl-compact">
              </dl>
              <h3 id="onWaiting"><span class="symbol-name">onWaiting</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>wywołuje props.onReady(), jeżeli załadowana została wystarczająca ilość danych video</p>
              <dl class="dl-compact">
                <dt>See also</dt>
                <dd><a href="https://developer.mozilla.org/en-US/docs/Web/API/HTMLMediaElement/loadeddata_event">https://developer.mozilla.org/en-US/docs/Web/API/HTMLMediaElement/loadeddata_event</a></dd>
                <dd><a href="https://developer.mozilla.org/en-US/docs/Web/API/HTMLMediaElement/readyState">https://developer.mozilla.org/en-US/docs/Web/API/HTMLMediaElement/readyState</a></dd>
              </dl>
              <h3 id="pause"><span class="symbol-name">pause</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>pause</p>
              <dl class="dl-compact">
              </dl>
              <h3 id="play"><span class="symbol-name">play</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>play</p>
              <dl class="dl-compact">
              </dl>
              <h3 id="toggle"><span class="symbol-name">toggle</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>toggle</p>
              <dl class="dl-compact">
              </dl>
              <h3 id="unmute"><span class="symbol-name">unmute</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>unmute</p>
              <dl class="dl-compact">
              </dl>
            </section>
          </section>
        </div>
      </div>
      <nav id="jsdoc-toc-nav" role="navigation"></nav>
    </div>
  </div>
  <footer id="jsdoc-footer" class="jsdoc-footer">
    <div id="jsdoc-footer-container">
      <p>
        Generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc</a> 3.6.3 on August 23, 2019.
      </p>
    </div>
  </footer>
  <script src="scripts/jquery.min.js"></script>
  <script src="scripts/jquery.cookie.js"></script>
  <script src="scripts/tree.jquery.js"></script>
  <script src="scripts/prettify.js"></script>
  <script src="scripts/jsdoc-toc.js"></script>
  <script src="scripts/linenumber.js"></script>
  <script src="scripts/scrollanchor.js"></script>
</body>

</html>